Index: trunk/source/visualization/XXX/src/G4XXXStored.cc
===================================================================
--- trunk/source/visualization/XXX/src/G4XXXStored.cc	(revision 1346)
+++ trunk/source/visualization/XXX/src/G4XXXStored.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXStored.cc,v 1.2 2006/06/29 21:27:46 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/src/G4XXXStoredSceneHandler.cc
===================================================================
--- trunk/source/visualization/XXX/src/G4XXXStoredSceneHandler.cc	(revision 1346)
+++ trunk/source/visualization/XXX/src/G4XXXStoredSceneHandler.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXStoredSceneHandler.cc,v 1.9 2006/10/26 11:30:10 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/src/G4XXXStoredViewer.cc
===================================================================
--- trunk/source/visualization/XXX/src/G4XXXStoredViewer.cc	(revision 1346)
+++ trunk/source/visualization/XXX/src/G4XXXStoredViewer.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXStoredViewer.cc,v 1.6 2010/10/06 10:12:03 allison Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/src/G4XXXViewer.cc
===================================================================
--- trunk/source/visualization/XXX/src/G4XXXViewer.cc	(revision 1346)
+++ trunk/source/visualization/XXX/src/G4XXXViewer.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXViewer.cc,v 1.9 2006/06/29 21:27:52 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/gMocren/CVS/Entries
===================================================================
--- trunk/source/visualization/gMocren/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/gMocren/CVS/Entries	(revision 1347)
@@ -3,2 +3,5 @@
 /CMakeLists.txt/1.1/Wed Sep 29 19:14:32 2010//Tgeant4-09-04-ref-00
 /sources.cmake/1.1/Wed Sep 29 19:14:41 2010//Tgeant4-09-04-ref-00
+/GNUmakefile/1.2/Mon Oct 12 10:24:23 2009//Tgeant4-09-04-ref-00
+/History/1.16/Thu Nov 11 00:49:25 2010//Tgeant4-09-04-ref-00
+/README/1.2/Mon Oct 12 19:51:37 2009//Tgeant4-09-04-ref-00
Index: trunk/source/visualization/gMocren/GNUmakefile
===================================================================
--- trunk/source/visualization/gMocren/GNUmakefile	(revision 1346)
+++ trunk/source/visualization/gMocren/GNUmakefile	(revision 1347)
@@ -17,12 +17,4 @@
 include $(G4INSTALL)/config/G4VIS_BUILD.gmk
 include $(G4INSTALL)/config/interactivity.gmk
-
-# NO need OGL, then reset OGLGLAGS
-OGLFLAGS = ""
-OGLLIBS  = ""
-# NO need QT, then reset QTGLAGS
-QTFLAGS = ""
-QTLIBS  = ""
-GLQTLIBS  = ""
 
 CPPFLAGS += -I$(G4BASE)/visualization/management/include
Index: trunk/source/visualization/gMocren/History
===================================================================
--- trunk/source/visualization/gMocren/History	(revision 1346)
+++ trunk/source/visualization/gMocren/History	(revision 1347)
@@ -1,3 +1,3 @@
-$Id: History,v 1.14 2010/09/03 16:01:38 gcosmo Exp $
+$Id: History,v 1.16 2010/11/11 00:49:25 akimura Exp $
 -------------------------------------------------------------------
 
@@ -20,4 +20,8 @@
 History file for visualization/gMocren sub-category
 ---------------------------------------------------
+
+11 November 2010  Akinori Kimura (gMocren-V09-03-05)
+- Replaced G4cerr with G4cout and added the following line before G4cout.
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
 
 3rd September 2010  John Allison  (gMocren-V09-03-04)
Index: trunk/source/visualization/gMocren/include/CVS/Entries
===================================================================
--- trunk/source/visualization/gMocren/include/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/gMocren/include/CVS/Entries	(revision 1347)
@@ -1,1 +1,8 @@
+/G4GMocrenFile.hh/1.2/Mon Oct 12 10:04:35 2009//Tgeant4-09-04-ref-00
+/G4GMocrenFileCTtoDensityMap.hh/1.1/Mon Oct 12 10:04:35 2009//Tgeant4-09-04-ref-00
+/G4GMocrenFileSceneHandler.hh/1.6/Sun May 30 10:04:16 2010//Tgeant4-09-04-ref-00
+/G4GMocrenFileViewer.hh/1.2/Mon Oct 12 10:04:35 2009//Tgeant4-09-04-ref-00
+/G4GMocrenIO.hh/1.4/Fri Jun 25 09:46:17 2010//Tgeant4-09-04-ref-00
+/G4GMocrenMessenger.hh/1.2/Mon Oct 12 10:04:35 2009//Tgeant4-09-04-ref-00
+/G4GMocrenTouchable.hh/1.2/Mon Oct 12 10:04:35 2009//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/gMocren/include/G4GMocrenFile.hh
===================================================================
--- trunk/source/visualization/gMocren/include/G4GMocrenFile.hh	(revision 1346)
+++ trunk/source/visualization/gMocren/include/G4GMocrenFile.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GMocrenFile.hh,v 1.2 2009/10/12 10:04:35 akimura Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/visualization/gMocren/include/G4GMocrenFileCTtoDensityMap.hh
===================================================================
--- trunk/source/visualization/gMocren/include/G4GMocrenFileCTtoDensityMap.hh	(revision 1346)
+++ trunk/source/visualization/gMocren/include/G4GMocrenFileCTtoDensityMap.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GMocrenFileCTtoDensityMap.hh,v 1.1 2009/10/12 10:04:35 akimura Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/visualization/gMocren/include/G4GMocrenFileSceneHandler.hh
===================================================================
--- trunk/source/visualization/gMocren/include/G4GMocrenFileSceneHandler.hh	(revision 1346)
+++ trunk/source/visualization/gMocren/include/G4GMocrenFileSceneHandler.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GMocrenFileSceneHandler.hh,v 1.6 2010/05/30 10:04:16 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/visualization/gMocren/include/G4GMocrenFileViewer.hh
===================================================================
--- trunk/source/visualization/gMocren/include/G4GMocrenFileViewer.hh	(revision 1346)
+++ trunk/source/visualization/gMocren/include/G4GMocrenFileViewer.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GMocrenFileViewer.hh,v 1.2 2009/10/12 10:04:35 akimura Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/visualization/gMocren/include/G4GMocrenMessenger.hh
===================================================================
--- trunk/source/visualization/gMocren/include/G4GMocrenMessenger.hh	(revision 1346)
+++ trunk/source/visualization/gMocren/include/G4GMocrenMessenger.hh	(revision 1347)
@@ -25,5 +25,5 @@
 //
 // $Id: G4GMocrenMessenger.hh,v 1.2 2009/10/12 10:04:35 akimura Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/visualization/gMocren/include/G4GMocrenTouchable.hh
===================================================================
--- trunk/source/visualization/gMocren/include/G4GMocrenTouchable.hh	(revision 1346)
+++ trunk/source/visualization/gMocren/include/G4GMocrenTouchable.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GMocrenTouchable.hh,v 1.2 2009/10/12 10:04:35 akimura Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/visualization/gMocren/src/CVS/Entries
===================================================================
--- trunk/source/visualization/gMocren/src/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/gMocren/src/CVS/Entries	(revision 1347)
@@ -1,1 +1,7 @@
+/G4GMocrenFile.cc/1.2/Mon Oct 12 10:04:35 2009//Tgeant4-09-04-ref-00
+/G4GMocrenFileCTtoDensityMap.cc/1.2/Wed Dec 16 17:51:27 2009//Tgeant4-09-04-ref-00
+/G4GMocrenFileSceneHandler.cc/1.18/Wed Nov 10 23:53:23 2010//Tgeant4-09-04-ref-00
+/G4GMocrenFileViewer.cc/1.4/Wed Nov 10 23:53:23 2010//Tgeant4-09-04-ref-00
+/G4GMocrenIO.cc/1.6/Wed Nov 10 23:53:23 2010//Tgeant4-09-04-ref-00
+/G4GMocrenMessenger.cc/1.2/Mon Oct 12 10:04:35 2009//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/gMocren/src/G4GMocrenFile.cc
===================================================================
--- trunk/source/visualization/gMocren/src/G4GMocrenFile.cc	(revision 1346)
+++ trunk/source/visualization/gMocren/src/G4GMocrenFile.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GMocrenFile.cc,v 1.2 2009/10/12 10:04:35 akimura Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/visualization/gMocren/src/G4GMocrenFileSceneHandler.cc
===================================================================
--- trunk/source/visualization/gMocren/src/G4GMocrenFileSceneHandler.cc	(revision 1346)
+++ trunk/source/visualization/gMocren/src/G4GMocrenFileSceneHandler.cc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4GMocrenFileSceneHandler.cc,v 1.17 2010/09/03 16:01:21 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4GMocrenFileSceneHandler.cc,v 1.18 2010/11/10 23:53:23 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
@@ -43,4 +43,6 @@
 
 #include "globals.hh"
+#include "G4VisManager.hh"
+
 #include "G4GMocrenFile.hh"
 #include "G4GMocrenFileSceneHandler.hh"
@@ -156,5 +158,6 @@
 G4GMocrenFileSceneHandler::~G4GMocrenFileSceneHandler () 
 {
-  if(GFDEBUG) G4cerr << "***** ~G4GMocrenFileSceneHandler" << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "***** ~G4GMocrenFileSceneHandler" << G4endl;
 
   if(kGddDest) {
@@ -199,11 +202,13 @@
     if( i == MAX_FILE_INDEX ) 
       {
-	G4cerr << "==========================================="   << G4endl; 
-	G4cerr << "WARNING MESSAGE from GMocrenFile driver:   "   << G4endl;
-	G4cerr << "  This file name is the final one in the   "   << G4endl;
-	G4cerr << "  automatic updation of the output file name." << G4endl; 
-	G4cerr << "  You may overwrite existing files, i.e.   "   << G4endl; 
-	G4cerr << "  g4_XX.gdd."   << G4endl;
-	G4cerr << "==========================================="   << G4endl; 
+	if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+	  G4cout << "==========================================="   << G4endl; 
+	  G4cout << "WARNING MESSAGE from GMocrenFile driver:   "   << G4endl;
+	  G4cout << "  This file name is the final one in the   "   << G4endl;
+	  G4cout << "  automatic updation of the output file name." << G4endl; 
+	  G4cout << "  You may overwrite existing files, i.e.   "   << G4endl; 
+	  G4cout << "  g4_XX.gdd."   << G4endl;
+	  G4cout << "==========================================="   << G4endl; 
+	}
       }
 
@@ -231,18 +236,18 @@
   } // for 
 
-  G4cerr << "======================================================================" << G4endl; 
-  G4cerr << "Output file: " << kGddFileName                          << G4endl; 
-  G4cerr << "Destination directory (current dir if NULL): " << kGddDestDir << G4endl; 
-  G4cerr << "Maximum number of files in the destination directory: " << kMaxFileNum << G4endl; 
-  G4cerr << "Note:" << G4endl; 
-  G4cerr << "  * The maximum number is customizable as:           " << G4endl;
-  G4cerr << "      % setenv  G4GMocrenFile_MAX_FILE_NUM  number " << G4endl;        
-  G4cerr << "  * The destination directory is customizable as:" << G4endl;
-  G4cerr << "      % setenv  G4GMocrenFile_DEST_DIR  dir_name/  " << G4endl;        
-  G4cerr << "     ** Do not forget \"/\" at the end of the dir_name, e.g. \"./tmp/\"." << G4endl;              
-  //G4cerr << "        dir_name, e.g. \"./tmp/\"."                 << G4endl;              
-  G4cerr << G4endl;
-  G4cerr << "Maximum number of trajectories is set to " << MAX_NUM_TRAJECTORIES << "."<< G4endl;
-  G4cerr << "======================================================================" << G4endl; 
+  G4cout << "======================================================================" << G4endl; 
+  G4cout << "Output file: " << kGddFileName                          << G4endl; 
+  G4cout << "Destination directory (current dir if NULL): " << kGddDestDir << G4endl; 
+  G4cout << "Maximum number of files in the destination directory: " << kMaxFileNum << G4endl; 
+  G4cout << "Note:" << G4endl; 
+  G4cout << "  * The maximum number is customizable as:           " << G4endl;
+  G4cout << "      % setenv  G4GMocrenFile_MAX_FILE_NUM  number " << G4endl;        
+  G4cout << "  * The destination directory is customizable as:" << G4endl;
+  G4cout << "      % setenv  G4GMocrenFile_DEST_DIR  dir_name/  " << G4endl;        
+  G4cout << "     ** Do not forget \"/\" at the end of the dir_name, e.g. \"./tmp/\"." << G4endl;              
+  //G4cout << "        dir_name, e.g. \"./tmp/\"."                 << G4endl;              
+  G4cout << G4endl;
+  G4cout << "Maximum number of trajectories is set to " << MAX_NUM_TRAJECTORIES << "."<< G4endl;
+  G4cout << "======================================================================" << G4endl; 
 
 } // G4GMocrenFileSceneHandler::SetGddFileName()
@@ -252,11 +257,12 @@
 void	G4GMocrenFileSceneHandler::BeginSavingGdd( void )
 {
-  if(GFDEBUG) G4cerr << "***** BeginSavingGdd (called)" << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "***** BeginSavingGdd (called)" << G4endl;
 
   if( !IsSavingGdd() ) {
 
-    if(GFDEBUG) {
-      G4cerr << "*****                   (started) " ;
-      G4cerr << "(open g4.gdd, ##)"  << G4endl;
+    if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+      G4cout << "*****                   (started) " ;
+      G4cout << "(open g4.gdd, ##)"  << G4endl;
     }
 
@@ -294,5 +300,5 @@
       
     } else {
-      G4cerr << "cann't open the file : " << fname << G4endl;
+      G4cout << "cann't open the file : " << fname << G4endl;
     }
     */
@@ -322,9 +328,11 @@
 void	G4GMocrenFileSceneHandler::EndSavingGdd  ( void ) 
 {
-  if(GFDEBUG) G4cerr << "***** EndSavingGdd (called)" << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** EndSavingGdd (called)" << G4endl;
 
   if(IsSavingGdd()) {
-    if(GFDEBUG) G4cerr << "*****                 (started) (close "
-		       << kGddFileName << ")" << G4endl;
+    if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "*****                 (started) (close "
+	     << kGddFileName << ")" << G4endl;
 
     if(kGddDest) kGddDest.close();
@@ -483,5 +491,6 @@
 
 
-      if(GFDEBUG) G4cerr << "***** G4GMocrenFileSceneHandler::GFBeginModeling (called & started)" << G4endl;
+    if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "***** G4GMocrenFileSceneHandler::GFBeginModeling (called & started)" << G4endl;
 
       //----- Send saving command and heading comment
@@ -511,5 +520,6 @@
 void G4GMocrenFileSceneHandler::AddPrimitive (const G4Polyline& polyline) 
 {
-  if(GFDEBUG) G4cerr << "***** AddPrimitive" << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** AddPrimitive" << G4endl;
 
 
@@ -591,5 +601,6 @@
 {
   //----- 
-  if(GFDEBUG) G4cerr << "***** AddPrimitive( G4NURBS )" << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** AddPrimitive( G4NURBS )" << G4endl;
 
   //----- Initialize if necessary
@@ -607,5 +618,6 @@
 
   //----- 
-  if(GFDEBUG) G4cerr << "***** AddPrimitive( G4Text )" << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** AddPrimitive( G4Text )" << G4endl;
 
   //----- Initialize IF NECESSARY
@@ -622,5 +634,6 @@
 
   //----- 
-  if(GFDEBUG) G4cerr << "***** AddPrimitive( G4Circle )" << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** AddPrimitive( G4Circle )" << G4endl;
 
   //----- Initialize IF NECESSARY
@@ -638,5 +651,6 @@
 
   //----- 
-  if(GFDEBUG) G4cerr << "***** AddPrimitive( G4Square )" << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** AddPrimitive( G4Square )" << G4endl;
 
   //----- Initialize if necessary
@@ -650,5 +664,6 @@
 {
   //----- 
-  if(GFDEBUG) G4cerr << "***** AddPrimitive( G4Polyhedron )" << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** AddPrimitive( G4Polyhedron )" << G4endl;
 
 
@@ -678,14 +693,18 @@
       break;
     default:
-      G4cerr <<
-	"ERROR G4GMocrenFileSceneHandler::AddPrimitive(G4Polyhedron)" << G4endl;
+      if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout <<
+	  "ERROR G4GMocrenFileSceneHandler::AddPrimitive(G4Polyhedron)" << G4endl;
       G4PhysicalVolumeModel* pPVModel =
         dynamic_cast<G4PhysicalVolumeModel*>(fpModel);
-      if (pPVModel) G4cerr <<
-		      "Volume " << pPVModel->GetCurrentPV()->GetName() <<
-		      ", Solid " << pPVModel->GetCurrentLV()->GetSolid()->GetName() <<
-		      " (" << pPVModel->GetCurrentLV()->GetSolid()->GetEntityType();
-      G4cerr <<
-	"\nG4Polyhedron facet with " << i << " edges" << G4endl;	
+      if (pPVModel)   
+	if(G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	  G4cout << "Volume " << pPVModel->GetCurrentPV()->GetName() <<
+	    ", Solid " << pPVModel->GetCurrentLV()->GetSolid()->GetName() <<
+	    " (" << pPVModel->GetCurrentLV()->GetSolid()->GetEntityType();
+
+      if(G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout <<
+	  "\nG4Polyhedron facet with " << i << " edges" << G4endl;	
     }
   }
@@ -700,11 +719,12 @@
 
   //----- 		
-  if(GFDEBUG) G4cerr << "***** GFEndModeling (called)" << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** GFEndModeling (called)" << G4endl;
 
   if( GFIsInModeling() ) {
 
-    if(GFDEBUG) {
-      G4cerr << "***** GFEndModeling (started) " ; 
-      G4cerr << "(/EndModeling, /DrawAll, /CloseDevice)" << G4endl;
+    if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+      G4cout << "***** GFEndModeling (started) " ; 
+      G4cout << "(/EndModeling, /DrawAll, /CloseDevice)" << G4endl;
     }
 
@@ -723,5 +743,6 @@
 void G4GMocrenFileSceneHandler::BeginPrimitives (const G4Transform3D& objectTransformation)
 {
-  if(GFDEBUG) G4cerr << "***** BeginPrimitives " << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** BeginPrimitives " << G4endl;
 
   GFBeginModeling();
@@ -736,5 +757,6 @@
 void G4GMocrenFileSceneHandler::EndPrimitives ()
 {
-  if(GFDEBUG) G4cerr << "***** EndPrimitives " << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** EndPrimitives " << G4endl;
 
   G4VSceneHandler::EndPrimitives ();
@@ -747,5 +769,6 @@
 void G4GMocrenFileSceneHandler::AddSolid( const G4Box& box )
 {
-  if(GFDEBUG) G4cerr << "***** AddSolid ( box )" << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** AddSolid ( box )" << G4endl;
 
   if(GFDEBUG_DET > 0)
@@ -1279,5 +1302,6 @@
 G4GMocrenFileSceneHandler::AddSolid( const G4Tubs& tubes )
 {
-  if(GFDEBUG) G4cerr << "***** AddSolid ( tubes )" << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** AddSolid ( tubes )" << G4endl;
 
   //----- skip drawing invisible primitive
@@ -1321,5 +1345,6 @@
 G4GMocrenFileSceneHandler::AddSolid( const G4Cons& cons )
 {
-  if(GFDEBUG) G4cerr << "***** AddSolid ( cons )" << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** AddSolid ( cons )" << G4endl;
 
   //----- skip drawing invisible primitive
@@ -1338,5 +1363,6 @@
 void G4GMocrenFileSceneHandler::AddSolid ( const G4Trd& trd )
 {
-  if(GFDEBUG) G4cerr << "***** AddSolid ( trd )" << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** AddSolid ( trd )" << G4endl;
 
 
@@ -1356,5 +1382,6 @@
 void G4GMocrenFileSceneHandler::AddSolid ( const G4Sphere& sphere )
 {
-  if(GFDEBUG) G4cerr << "***** AddSolid ( sphere )" << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** AddSolid ( sphere )" << G4endl;
 
   //----- skip drawing invisible primitive
@@ -1373,5 +1400,6 @@
 void G4GMocrenFileSceneHandler::AddSolid (const G4Para& para)
 {
-  if(GFDEBUG) G4cerr << "***** AddSolid ( para )" << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** AddSolid ( para )" << G4endl;
 
   //----- skip drawing invisible primitive
@@ -1390,5 +1418,6 @@
 void G4GMocrenFileSceneHandler::AddSolid (const G4Trap& trap)
 {
-  if(GFDEBUG) G4cerr << "***** AddSolid ( trap )" << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** AddSolid ( trap )" << G4endl;
 
   //----- skip drawing invisible primitive
@@ -1408,5 +1437,6 @@
 G4GMocrenFileSceneHandler::AddSolid( const G4Torus& torus )
 {
-  if(GFDEBUG) G4cerr << "***** AddSolid ( torus )" << G4endl;
+  if(GFDEBUG || G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** AddSolid ( torus )" << G4endl;
 
   //----- skip drawing invisible primitive
@@ -1452,5 +1482,5 @@
 
   if(GFDEBUG_TRK) {
-    std::cout << " ::AddCompound(const G4VTrajectory&) >>>>>>>>> " << std::endl;
+    G4cout << " ::AddCompound(const G4VTrajectory&) >>>>>>>>> " << G4endl;
     G4TrajectoriesModel * pTrModel = dynamic_cast<G4TrajectoriesModel*>(fpModel);
     if (!pTrModel) { 
Index: trunk/source/visualization/gMocren/src/G4GMocrenFileViewer.cc
===================================================================
--- trunk/source/visualization/gMocren/src/G4GMocrenFileViewer.cc	(revision 1346)
+++ trunk/source/visualization/gMocren/src/G4GMocrenFileViewer.cc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4GMocrenFileViewer.cc,v 1.3 2009/12/03 11:44:42 akimura Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4GMocrenFileViewer.cc,v 1.4 2010/11/10 23:53:23 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
@@ -41,4 +41,5 @@
 #include <cassert>
 
+#include "G4VisManager.hh"
 #include "G4Scene.hh"
 #include "G4Vector3D.hh"
@@ -93,5 +94,6 @@
 {
   if(GFDEBUG)
-    G4cerr << "***** G4GMocrenFileViewer::SetView(): No effects" << G4endl;
+    if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "***** G4GMocrenFileViewer::SetView(): No effects" << G4endl;
 
   // Do nothing, since DAWN is running as a different process.
@@ -105,5 +107,6 @@
 {
   if(GFDEBUG)
-    G4cerr << "***** G4GMocrenFileViewer::ClearView (): No effects " << G4endl;
+    if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "***** G4GMocrenFileViewer::ClearView (): No effects " << G4endl;
 
   //if(kSceneHandler.kGddDest) {
@@ -121,5 +124,6 @@
 {
   if(GFDEBUG)
-    G4cerr << "***** G4GMocrenFileViewer::DrawView () " << G4endl;
+    if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "***** G4GMocrenFileViewer::DrawView () " << G4endl;
 
   //----- 
@@ -140,5 +144,6 @@
 {
   if(GFDEBUG)
-    G4cerr << "***** G4GMocrenFileViewer::ShowView () " << G4endl;
+    if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "***** G4GMocrenFileViewer::ShowView () " << G4endl;
 
   if( kSceneHandler.GFIsInModeling() ) 
